Opened 12 years ago

Closed 12 years ago

#4880 closed defect (wontfix)

Mythweb error in svn 16406: Parse error: syntax error, unexpected T_STATIC, expecting T_OLD_FUNCTION or T_FUNCTION or T_VAR or '}' in /usr/share/mythtv/mythweb/classes/Database.php on line 106

Reported by: anonymous Owned by: xris
Priority: major Milestone: unknown
Component: mythweb Version: unknown
Severity: medium Keywords: mythweb error parse error
Cc: Ticket locked: no

Description

Mythweb will not load and is displaying the following error

Parse error: syntax error, unexpected T_STATIC, expecting T_OLD_FUNCTION or T_FUNCTION or T_VAR or '}' in /usr/share/mythtv/mythweb/classes/Database.php on line 106

Change History (3)

comment:1 Changed 12 years ago by stuartm

Resolution: invalid
Status: newclosed

Most likely you have a corrupt checkout or install.

As you haven't provided any information on version, distro etc I'm closing this as invalid for now.

comment:2 Changed 12 years ago by anonymous

Resolution: invalid
Status: closednew

linux-2.6.23

MythTV Version : 16427 MythTV Branch : trunk Library API : 0.21.20080304-1 Network Protocol : 40

php4-common 4.4.4-8+etch1 php4-mysql 4.4.4-8+etch1

Let me know if you need any more info - this is driving me crazy

comment:3 Changed 12 years ago by Rob Smith

Resolution: wontfix
Status: newclosed

As of [16087], -trunk requires php 5.1 or newer. We're doing this to enable a much cleaner architecture and the like. Sorry, but you'll need to update your php version (5.2 is recommended for the built in JSON), or switch to 0.21-fixes.

Note: See TracTickets for help on using tickets.